# XSWildcard Class Reference

Inheritance diagram for XSWildcard:

List of all members.

## Public Types

enum | NAMESPACE_CONSTRAINT { NSCONSTRAINT_ANY = 1, NSCONSTRAINT_NOT = 2, NSCONSTRAINT_DERIVATION_LIST = 3 }
enum | PROCESS_CONTENTS { PC_STRICT = 1, PC_SKIP = 2, PC_LAX = 3 }

## Public Member Functions

Constructors
| XSWildcard (SchemaAttDef *const attWildCard, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
| XSWildcard (const ContentSpecNode *const elmWildCard, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
Destructor
| ~XSWildcard ()
XSWildcard methods
NAMESPACE_CONSTRAINT | getConstraintType () const
| Namespace constraint: A constraint type: any, not, list.
StringList * | getNsConstraintList ()
| Namespace constraint.
PROCESS_CONTENTS | getProcessContents () const
| [process contents]: one of skip, lax or strict.
XSAnnotation * | getAnnotation () const
| Optional.

## Protected Attributes

NAMESPACE_CONSTRAINT | fConstraintType
PROCESS_CONTENTS | fProcessContents
StringList * | fNsConstraintList
XSAnnotation * | fAnnotation

## Member Enumeration Documentation

enum XSWildcard::NAMESPACE_CONSTRAINT

Enumerator:

  NSCONSTRAINT_ANY | Namespace Constraint: any namespace is allowed.
  NSCONSTRAINT_NOT | Namespace Constraint: namespaces in the list are not allowed.
  NSCONSTRAINT_DERIVATION_LIST | Namespace Constraint: namespaces in the list are allowed.

enum XSWildcard::PROCESS_CONTENTS

Enumerator:

  PC_STRICT | There must be a top-level declaration for the item available, or the item must have an xsi:type, and the item must be valid as appropriate.
  PC_SKIP | No constraints at all: the item must simply be well-formed XML.
  PC_LAX | If the item, or any items among its [children] is an element information item, has a uniquely determined declaration available, it must be valid with respect to that definition, that is, validate where you can, don't worry when you can't.

## Constructor & Destructor Documentation

XSWildcard::XSWildcard | ( | SchemaAttDef *const | attWildCard,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | attWildCard |
  | annot |
  | xsModel |
  | manager | The configurable memory manager

XSWildcard::XSWildcard | ( | const ContentSpecNode *const | elmWildCard,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

XSWildcard::~XSWildcard | ( |  | ) |

## Member Function Documentation

XSWildcard::NAMESPACE_CONSTRAINT XSWildcard::getConstraintType | ( |  | ) | const

Namespace constraint: A constraint type: any, not, list.

References fConstraintType.

StringList * XSWildcard::getNsConstraintList | ( |  | ) |

Namespace constraint.

For `constraintType` `NSCONSTRAINT_DERIVATION_LIST`, the list contains allowed namespaces. For `constraintType` `NSCONSTRAINT_NOT`, the list contains disallowed namespaces.

References fNsConstraintList.

XSWildcard::PROCESS_CONTENTS XSWildcard::getProcessContents | ( |  | ) | const

[process contents]: one of skip, lax or strict.

Valid constants values are: `PC_SKIP, PC_LAX, PC_STRICT`.

References fProcessContents.

XSAnnotation * XSWildcard::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## Member Data Documentation

NAMESPACE_CONSTRAINT XSWildcard::fConstraintType`[protected]`

Referenced by getConstraintType().

PROCESS_CONTENTS XSWildcard::fProcessContents`[protected]`

Referenced by getProcessContents().

StringList* XSWildcard::fNsConstraintList`[protected]`

Referenced by getNsConstraintList().

XSAnnotation* XSWildcard::fAnnotation`[protected]`

Referenced by getAnnotation().

The documentation for this class was generated from the following file:

- XSWildcard.hpp